package com.cxyxiaomo.epp.shop.dao;

import com.cxyxiaomo.epp.common.pojo.GoodCategory;
import com.cxyxiaomo.epp.common.vo.GoodCategoryVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface GoodCategoryDao {

    List<GoodCategory> list();

    GoodCategory getById(Long id);


    public boolean addCategory(GoodCategory goodCategory);

    public boolean updateCategory(GoodCategory goodCategory);

    public List<GoodCategory> getCategoryList(GoodCategoryVO goodCategoryVO);

    public boolean deleteCategoryById(Long goodCategoryId);
}
